package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHoursFacadeFactory
{
    private WorkHoursFacadeFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IWorkHoursFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BAE52A17") ,com.kingdee.eas.hr.project.IWorkHoursFacade.class);
    }
    
    public static com.kingdee.eas.hr.project.IWorkHoursFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BAE52A17") ,com.kingdee.eas.hr.project.IWorkHoursFacade.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IWorkHoursFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BAE52A17"));
    }
    public static com.kingdee.eas.hr.project.IWorkHoursFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BAE52A17"));
    }
}